// =============================================================================
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) DIGITEO - 2010 - Allan CORNET
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// =============================================================================
function bOK = lcc_convertScilabLibs()
  bOK = %T;
  scilabDlls = ['blasplus', ..
                'lapack', ..
                'MALLOC', ..
                'libf2c', ..
                'lapack', ..
                'intersci', ..
                'output_stream', ..
                'dynamic_link', ..
                'integer', ..
                'optimization_f', ..
                'libjvm', ..
                'scilocalization', ..
                'libintl', ..
                'linpack_f', ..
                'call_scilab', ..
                'time', ..
                'api_scilab', ..
                'hashtable', ..
                'scilab_windows'];

  if with_module('scicos') then
    scilabDlls = [scilabDlls, ..
                 'scicos', ..
                 'scicos_f', ..
                 'scicos_blocks', ..
                 'scicos_blocks_f'];
  end

  nbScilabDlls = size(scilabDlls, '*');

  if ( ilib_verbose() <> 0 ) then
    mprintf('Converting Libraries.\n');
  end

  for j = 1:nbScilabDlls

    if ( ilib_verbose() <> 0 ) then
      mprintf(gettext('Build %s.lib\n'), scilabDlls(j));
    end

    ok = lcc_convertLibrary(SCI + filesep() + 'bin' + filesep() + scilabDlls(j) + getdynlibext(), lcc_getScilabLibPath());

    if ~ok then
      if ( ilib_verbose() <> 0 ) then
        mprintf(gettext('Conversion failed %s.lib\n'), scilabDlls(j));
      end
      bOK = %F;
    end
  end

  DLL_SCILAB = 'LibScilab';
  DATAS_LIBSCILAB = ['LaunchScilabLock', ..
         'LaunchScilab', ..
         'adre_', ..
         'basbrk_', ..
         'basetype_', ..
         'cha1_', ..
         'com_', ..
         'dcoeff_', ..
         'errgst_', ..
         'ierode_', ..
         'intersci_', ..
         'iop_', ..
         'ls0001_', ..
         'lsa001_', ..
         'lsr001_', ..
         'recu_', ..
         'scigsch_', ..
         'scisch_', ..
         'scizgsch_', ..
         'stack_', ..
         'vstk_'];

  if ( ilib_verbose() <> 0 ) then
    mprintf(gettext('Build %s.lib\n'), DLL_SCILAB);
  end

  ok = lcc_convertLibrary(SCI + filesep() + 'bin' + filesep() + DLL_SCILAB + getdynlibext(), ..
                          lcc_getScilabLibPath(), ..
                          DATAS_LIBSCILAB);

  if ~ok then
    if ( ilib_verbose() <> 0 ) then
      mprintf(gettext('Conversion failed %s.lib\n'), DLL_SCILAB);
    end
    bOK = %F;
  end

endfunction
// =============================================================================
